ZMObject
└─ZMFormData
public class ZMFormData
extends ZMObject
| Field Summary | |
|---|---|
| protected mixed | |
| Fields inherited from org.zenmagick.core\ZMObject | |
|---|---|
| properties_ | |
| Method Summary | |
|---|---|
| void | Create new instance. |
| void | addFields(mixed fields) Limit populating this form bean to the given fields. |
| void | Populate this form. |
| Methods inherited from org.zenmagick.core\ZMObject | |
|---|---|
| __construct, attachMethod, get, getAttachedMethods, getProperties, getPropertyNames, set, singleton | |
protected mixed $fields_ = null
public void __construct()
Create new instance.
public void addFields(mixed fields)
Limit populating this form bean to the given fields.
public void populate(ZMRequest request)
Populate this form.
Basic form data container.
Extending from this class allows to restrict the fields taken from the request to a given list via
addFields().If no fields are added at all, all request parameter will be used.